Page MenuHomePhabricator

[Wikistats2] Broken down data with different time ranges for each line (or column set) breaks the chart
Closed, ResolvedPublic5 Estimated Story Points

Description

Developing Pagecounts we across these error :

Given a broken down metric, i.e. broken down by access-site:

  • desktop-site has data from 2010-01-01 to 2018-07-01
  • mobile-date has data from 2014-01-01 to 2018-07-01
  • This prevents the line chart from showing all lines & throws errors for the column chart.
  • We also discovered that metrics with long "holes" (missing data points inbetween the timeline data) will distort the x-axis ticks, so that the tick labels do not match the graph points.

Event Timeline

mforns created this task.Jul 2 2018, 3:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 2 2018, 3:47 PM
fdans triaged this task as High priority.Jul 2 2018, 4:16 PM
fdans moved this task from Incoming to Mentoring on the Analytics board.
fdans added a project: Analytics-Kanban.

Change 443640 had a related patch set uploaded (by Mforns; owner: Mforns):
[analytics/wikistats2@master] Make bar-chart and line-chart resilient to breakdowns with null values

https://gerrit.wikimedia.org/r/443640

sahil505 moved this task from Next Up to In Progress on the Analytics-Kanban board.Jul 3 2018, 3:00 PM
sahil505 added a subscriber: sahil505.
sahil505 claimed this task.Jul 4 2018, 3:54 PM
sahil505 added a project: Analytics-Wikistats.
sahil505 set the point value for this task to 5.
sahil505 moved this task from In Progress to In Code Review on the Analytics-Kanban board.

Change 443640 merged by Mforns:
[analytics/wikistats2@master] Make bar-chart and line-chart resilient to breakdowns with null values

https://gerrit.wikimedia.org/r/443640

sahil505 updated the task description. (Show Details)Jul 12 2018, 6:33 AM
fdans moved this task from In Progress to Paused on the Analytics-Kanban board.Jul 12 2018, 4:49 PM

@sahil505, @mforns: Hi, the patch in Gerrit has been merged. Can this task be resolved (via Add Action...Change Status in the dropdown menu), or is there more to do in this task? Thanks in advance!

mforns closed this task as Resolved.Mar 25 2020, 2:48 PM

@Aklapper yes, this task should be resolved. Thanks!